Page MenuHomePhabricator

[Migrated] References are combined even when the first is hidden
Closed, ResolvedPublic

Description

NE2 00:57, 12 November 2014 (UTC) wrote:

Example here. "established_date3" does not display, which means that "the named reference Cordele was invoked but never defined". This may be more properly a Mediawiki bug, and I don't know if it's possible for AWB to check for this.


Version: 5.5.5.0

Event Timeline

Josve05a created this task.May 15 2015, 9:50 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added a project: AutoWikiBrowser.
Josve05a added a subscriber: Josve05a.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 9:50 PM

@Rjwilmsi 17:44, 12 November 2014 (UTC) wrote:

I'm surprised that the infobox template doesn't kick out an error if a field is populated but for whatever rules the infobox has, it's not shown. The only way I can see that we could catch this in AWB, as it's not apparent from the source text, would be to do a preview of the page after making changes and look for reference errors. Seems like a big overhead when the problem really is misconfiguration of the infobox template parameters on the article.

Josve05a added a comment.EditedMay 15 2015, 9:51 PM

@Rjwilmsi 09:54, 13 November 2014 (UTC) wrote:

Another option would be that after conversion we make the full ref the one outside the infobox, and just have the abbreviated ref inside the infobox.

What kind of user input is wanted for this task?

I would expect the infobox to raise an error stating that the parameter is not supported. User/infobox maintainer to investigate that.

This error can happen to all templates and infoboxes (not supported by LUA which might have fallback to show unsupported parameters). If possible, we should never have the "full" ref inside another template would be the best solution, imo.

Rjwilmsi closed this task as Resolved.Sep 13 2015, 3:17 PM
Rjwilmsi claimed this task.

rev 11462, 11464, we will not condense a reference if the full reference exists within a template. That way if the template doesn't output the ref we avoid any "reference not defined" issues.